Page MenuHomePhabricator

Enable 2160p (aka 4k) video support in TMH
Closed, ResolvedPublic

Description

I have uploaded a video: https://commons.wikimedia.org/wiki/File:Sintel_movie_4K.webm

which is 4,096 × 1,744 pixels, the highest render target is 1080p, per T73705.

Please add support for transcoding 4K videos.

Event Timeline

Matanya created this task.May 9 2015, 11:55 PM
Matanya raised the priority of this task from to Needs Triage.
Matanya updated the task description. (Show Details)
Matanya added a subscriber: Matanya.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2015, 11:55 PM
Matanya renamed this task from Enable 2160 (aka 4k) support in TMH to Enable 2160p (aka 4k) video support in TMH.May 9 2015, 11:56 PM
Matanya set Security to None.

I'm somewhat doubtful are rendering infastructure can take transcoding in 4k for a video of non trivial length.

However, it will use the original 4k version, if it decides your screen has 4k resolution (But the check probably doesn't work right in environments where pixels aren't really the size of pixels...)

Change 210407 had a related patch set uploaded (by Paladox):
Add support for 4K videos

https://gerrit.wikimedia.org/r/210407

Paladox added a subscriber: brion.May 13 2015, 5:02 PM

@Matanya : To clarify, are you complaining there are no transcodes, or that there is no 4k transcodes.

The fact there are no transcodes, is odd, and a bug...

For a file this size, we would not transcode it to 4k resolution, as its already at 4k resolution.


In regards to enabling transcodes to 4k resolution. I'm opposed. I wrote this on the change, but just to repeat (excluding the bit about aspect ratio as that was implementation specific):

  • I seriously doubt our rendering infastructure can handle making a transcode of that size in under the timeout limit. Its strugling with the 1080 resolution currently on files of any significant length. We should re-examine the timeouts or how we do transcodes before including even larger ones in my opinion.
  • There are only 14 videos on commons this would affect (And they just barely are big enough). Its unclear what transcoding those videos to this size would accomplish since they are not significantly larger. The video that generated the bug report is not 1 of them.
  • It would probably be better to wait for VP9, and transcode 4k videos to VP9 instead of VP8.
  • Does TMH even correctly recognize situations where it would be appropriate to stream a 4k video? I doubt it has code to switch streams if the current stream is to bandwidth heavy, and I'm not sure it would recognize a screen capable of displaying 4k content (e.g. Do 4k capable screens actually advertise that resolution, or do they have double pixel density and advertise a fake resolution. I don't really know, I could be way off here)

Hi but what if other people site can handle 4K videos. Shoulder we support it just in case.

I was actually asking about 4096 x 2160, but your argument about vp9 and performance is of course valid. The no transcode issue seems like another bug i should report.

Change 213763 had a related patch set uploaded (by Paladox):
Add support for 8K videos

https://gerrit.wikimedia.org/r/213763

  • It would probably be better to wait for VP9, and transcode 4k videos to VP9 instead of VP8.

I'd even go further and say we should not offer 4k/8k transcodes anytime soon. Even VP9 would not change a thing because encoding in VP9 is just super CPU intense without any apparent advantage, considering that an upload in 8k/4k can just be served as is. Also, if the VP9 upload originates from youtube, it is already a web optimized version.

brion changed the task status from Open to Stalled.Jul 21 2015, 1:14 AM

Setting status to stalled. Some future day we may have infrastructure ready for this but I recommend against it for now.

Hi but I have switched it off by default. Allowing other people who do have the infurstructure to enable it.

Paladox changed the task status from Stalled to Open.Aug 14 2015, 4:04 PM

Re opened since it seems the patch is moving forward. and that vp9 support was added.

Change 210407 merged by jenkins-bot:
Add support for 4K videos

https://gerrit.wikimedia.org/r/210407

brion added a comment.Aug 15 2015, 8:54 AM

Other recent fixes (T91431, T62272) mean that WebM VP8 and VP9 source files should soon start showing up consistently in the player source list, which means folks who really want to play the 2160 version can pick the source file without adding to our transcode load.

I'm also merging the patch with the 2160p transcode definitions (not enabled by default) so it'll be easier to poke at that and get it working some day... Encoding time at 2160p is MUCH too slow for now with VP9 -- about an hour per minute of source material on my MacBook Pro, which is fairly speedy. So we won't be enabling these just yet. :) But it's good to have the definitions in so we can experiment with them.

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:01 PM

Should this be closed and another task opened for enabling 4k by default and another task for enabling it on Wikimedia. since this task just says Add support for 4k which is now done.

brion closed this task as Resolved.Oct 23 2015, 7:55 PM
brion claimed this task.

Should this be closed and another task opened for enabling 4k by default and another task for enabling it on Wikimedia. since this task just says Add support for 4k which is now done.

Sounds right. :) Closing this one out.